Skip to main content
GET
/
api
/
projects
/
v1
/
projects
/
{projectId}
Get Project by Id
curl --request GET \
  --url https://api.example.com/api/projects/v1/projects/{projectId} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  },
  "project": {
    "collaborators": [
      {
        "id": "662604702b7e5d347dbe7a908"
      }
    ],
    "description": "<string>",
    "id": "626046fcb7e5d347dbe7a904",
    "isRestricted": true,
    "name": "My Project",
    "ownerId": "662604702b7e5d347dbe7a908",
    "ownerUsername": "steve_holt",
    "billingTag": {
      "tag": "<string>"
    },
    "internalTags": [
      "<string>"
    ],
    "mainRepository": {
      "defaultRef": {
        "value": "<string>"
      },
      "id": "62604702b7e5d347dbe7a908",
      "uri": "https://github.com/torvalds/linux",
      "name": "<string>"
    }
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

projectId
string
required

ID of the project to retrieve

Response

Success

metadata
object
required
project
object
required